# m3e/toolbar

Toolbar is presents frequently used actions relevant to the current page.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        elevated: Elevated,
        shape: toolbar_shape.ToolbarShape,
        variant: toolbar_variant.ToolbarVariant,
        vertical: Vertical,
      )
    }

### Constructors

-     Config(
        elevated: Elevated,
        shape: toolbar_shape.ToolbarShape,
        variant: toolbar_variant.ToolbarVariant,
        vertical: Vertical,
      )

## Elevated

</>

Elevated is whether the toolbar is elevated.

    pub type Elevated {
      IsElevated
      IsNotElevated
    }

### Constructors

-     IsElevated

-     IsNotElevated

## Toolbar

opaque </>

Toolbar is a View Model for this component

## Fields:

- elevated: Whether the toolbar is elevated.
- shape: The shape of the toolbar.
- variant: The appearance variant of the toolbar.
- vertical: Whether the element is oriented vertically.

    pub opaque type Toolbar

## Vertical

</>

Vertical is whether the element is oriented vertically.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_elevated

</>

    pub const default_elevated: Elevated

## default_shape

</>

    pub const default_shape: toolbar_shape.ToolbarShape

## default_variant

</>

    pub const default_variant: toolbar_variant.ToolbarVariant

## default_vertical

</>

    pub const default_vertical: Vertical

## elevated

</>

    pub fn elevated(record: Toolbar, elevated: Elevated) -> Toolbar

elevated sets the value of elevated for this Toolbar.

## from_config

</>

    pub fn from_config(config: Config) -> Toolbar

from_config creates a new Toolbar from the given configuration.

## new

</>

    pub fn new() -> Toolbar

new creates a new Toolbar with the default configuration.

## render

</>

    pub fn render(
      model: Toolbar,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Toolbar

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a Toolbar Config

## shape

</>

    pub fn shape(
      record: Toolbar,
      shape: toolbar_shape.ToolbarShape,
    ) -> Toolbar

shape sets the value of shape for this Toolbar.

## variant

</>

    pub fn variant(
      record: Toolbar,
      variant: toolbar_variant.ToolbarVariant,
    ) -> Toolbar

variant sets the value of variant for this Toolbar.

## vertical

</>

    pub fn vertical(record: Toolbar, vertical: Vertical) -> Toolbar

vertical sets the value of vertical for this Toolbar.

✨